Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## opencard.core.service
Class CardServiceOperationFailedException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.io.IOException
                        |
                        +--opencard.core.OpenCardException
                              |
                              +--opencard.core.service.CardServiceException
                                    |
                                    +--opencard.core.service.CardServiceOperationFailedException

public class CardServiceOperationFailedException
extends CardServiceException

Exception indicating that an operation cannot be performed by the smartcard. For file system based smartcards, such an operation could be deleting a directory (DF) which still holds files. This exception is thrown in cases where a card service recognizes the reason for failure, but no special exception is defined for that particular error. If the error was not recognized, a `CardServiceUnexpectedResponseException` is thrown.

See Also:
  Serialized Form

Constructor Summary
`CardServiceOperationFailedException()` Creates a new exception without detail message.
`CardServiceOperationFailedException(java.lang.String msg)` Creates a new exception with the given detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CardServiceOperationFailedException

    public CardServiceOperationFailedException()

  Creates a new exception without detail message.

### CardServiceOperationFailedException

    public CardServiceOperationFailedException(java.lang.String msg)

  Creates a new exception with the given detail message.
  Parameters:
    `message` - a string indicating why this exception is thrown

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD